Summary: High performance PPTP/L2TP/PPPoE server
Name: accel-ppp
Version: 1.9.0
Release: 1%{?dist}
License: GPL v2+
Group: Networking
URL: http://sourceforge.net/projects/accel-ppp

Source0: http://downloads.sourceforge.net/accel-ppp/%{name}-%{version}.tar.bz2
Source1: accel-ppp.tmpfiles
Source2: accel-ppp.service
Source3: accel-ppp.logrotate
Source4: accel-ppp.sysconfig

BuildRequires: cmake >= 2.6
BuildRequires: libnl3-devel
BuildRequires: net-snmp-devel >= 5.0
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: systemd-units

Requires(post): systemd-sysv
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Modern server-side implementation of PPTP/PPPoE/L2TP protocols written from
scratch. Uses kernel-space code for tunneling protocols to avoid overhead.
Does not rely on any third-party PPP implementation.

Features:
- PPTP server
- PPPoE server
- L2TPv2 server
- RADIUS AAA and DM/CoA
- Built-in shaper
- Command line interface
- SNMP
- IPv6 (including built-in Neighbor Discovery and DHCPv6)

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DSHAPER=TRUE \
	-DRADIUS=TRUE \
	-DNETSNMP=TRUE \
	-DLOG_PGSQL=FALSE \
	..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make -C %{_target_platform} install/fast \
	  DESTDIR=%{buildroot}

install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/tmpfiles.d/accel-ppp.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/accel-ppp.service
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/accel-ppp
install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/accel-ppp

install -d -m 755 %{buildroot}%{_localstatedir}/log/accel-ppp/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

# doc
%doc COPYING README

%config %{_sysconfdir}/tmpfiles.d/accel-ppp.conf
%{_unitdir}/accel-ppp.service
%config(noreplace) %{_sysconfdir}/logrotate.d/accel-ppp
%config(noreplace) %{_sysconfdir}/sysconfig/accel-ppp
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/accel-ppp.conf.dist

%{_bindir}/accel-cmd
%{_sbindir}/accel-pppd
%attr(755,root,root) %{_libdir}/accel-ppp
%{_datadir}/accel-ppp

%{_mandir}/man1/accel-cmd.*
%{_mandir}/man5/accel-ppp.conf.5*

%dir %{_localstatedir}/log/accel-ppp

%post
%systemd_post accel-ppp.service

%preun
%systemd_preun accel-ppp.service

%postun
%systemd_postun_with_restart accel-ppp.service

/bin/systemctl try-restart accel-ppp.service >/dev/null 2>&1 || :

